Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Package textdisplay :: Module view :: Class TextDisplayDialog |
[frames] | no frames]

# Class TextDisplayDialog

source code

    humblewx.Dialog --+
                      |
       framework.Dialog --+
                          |
                         TextDisplayDialog

    <BoxSizerVertical>
        <TextCtrl name="text" style="TE_MULTILINE" width="660" height="300" border="ALL" />
        <BoxSizerHorizontal border="LEFT|BOTTOM|RIGHT">
            <Button id="$(id_copy)" border="RIGHT" event_EVT_BUTTON="on_copy_click" />
            <StretchSpacer />
            <DialogButtonsCloseSizer />
        </BoxSizerHorizontal>
    </BoxSizerVertical>

Instance Methods
__init__(self, title, text='', parent=None) | source code
GetText(self) | source code
SetText(self, text) | source code
Inherited from `framework.Dialog`: `DisplayErrorMessage`, `DisplayInformationMessage`, `EndModalOk`